Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Collections
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • GetCasesByOrganization
      GET
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
    • AcceptEvictionRequest
      POST
    • RejectEvictionRequest
      POST
    • AcceptEvictionConfirmation
      POST
    • RejectEvictionConfirmation
      POST
    • GetCaseTimeline
      GET
    • GetTaskView
      GET
    • UpdateTask
      PUT
    • GetCaseById
      GET
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
  • Settlement
    • GetSettlements
    • GetSettlement on Id
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  • ErrorHandling
    • How to
    • Codes
      • DUPLICATE_UNIQUE_SOURCE_PAYMENT_ID
  1. Collections

UpdateTask

PUT
/orgs/{organizationId}/cases/{caseId}/tasks/{taskId}
Endpoints for organization management operations

Request

Authorization
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
🟠409Conflict
🟠422UnprocessableEntity
🔴500InternalServerError
🔴503ServiceUnavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/orgs//cases//tasks/' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "email": "string",
    "inputs": [
        {
            "inputKey": "string",
            "values": [
                "string"
            ],
            "files": [
                "string"
            ]
        }
    ]
}'
Response Response Example
200 - Example 1
{}
Modified at 2026-10-13 00:38:51
Previous
GetTaskView
Next
GetCaseById
Built with